/*** ESSENTIAL STYLES ***/
#main-menu, #main-menu * {
	margin:			0;
	padding:		0;
	list-style:		none;
}
#main-menu-wrapper {
	padding: 0;
	font-family: 'Heiti TC','Microsoft JhengHei','PMingLiU','Arial Unicode MS',Arial,Helvetica,sans-serif;
	background-color: #ff7e00;
	margin: 0px;
	border-bottom-width: 1px;
	border-bottom-style: solid;
	border-bottom-color: #cbcbcb;
}

#main-menu {
	line-height:	1.0; width: 80%; height: 41px;
}
#main-menu ul {
	position: absolute;
	top: -999em;
	width: 15em; /* left offset of submenus need to match (see below) */
	border: 1px solid #E3E3E3;
}
#main-menu ul li {
	width:			100%;
}
#main-menu li:hover {
	visibility: inherit; /* fixes IE7 'sticky bug' */
}

#main-menu li {
	float:			left;
	position:		relative;
	padding-top: 15px;
	font-size: 20px;
	font-weight: 600;
}
#main-menu li a {
	border-right-width: 1px;
	border-right-style: solid;
	border-right-color: #ffae2e;
}

#main-menu a {
	display: block;
	position: relative;
	color: #ffffff;
	padding: 0px 20px 0px 20px;
	text-decoration:none;
	-webkit-transition: all 0.3s ease-in-out;
	-moz-transition: all 0.3s ease-in-out;
	-o-transition: all 0.3s ease-in-out;
	-ms-transition: all 0.3s ease-in-out;
	transition: all 0.3s ease-in-out;

}
#main-menu li:hover ul, #main-menu li.sfHover ul {
	left: 0;
	top: 45px; /* match top ul list item height */
	z-index: 111;
}
#main-menu li ul {
	z-index: 9999;
	box-shadow: 0 1px 3px 1px rgba(0, 0, 0, 0.2);
}

ul#main-menu li:hover li ul,
ul#main-menu li.sfHover li ul {
	top:			-999em;
}
ul#main-menu li li:hover ul,
ul#main-menu li li.sfHover ul {
	left:			15em; /* match ul width */
	top:			0;
}
ul#main-menu li li:hover li ul,
ul#main-menu li li.sfHover li ul {
	top:			-999em;
}
ul#main-menu li li li:hover ul,
ul#main-menu li li li.sfHover ul {
	left:			15em; /* match ul width */
	top:			0;
}

#main-menu li li a, #main-menu li li li a {
	font-size: 14px;
	margin: 0;
	padding: 12px;
	border-top: none;
	background: url(../images/public/darkdots_orange.png) #fff repeat-x bottom;
	line-height: 1.5em;
}

#main-menu li li a:hover,
#main-menu li li:last-child li a:hover {
	color: #F60;
	background-color: #f9f9f9;
	background-image: url(../images/public/darkdots_orange.png);
	background-repeat: repeat-x;
	background-position: bottom;
}

#main-menu li li:last-child a,
#main-menu li li:last-child li:last-child a {
	background: #fff;
}

#main-menu li li:last-child li a {
	background: url(../images/public/darkdots_orange.png) #fff repeat-x bottom;
}

#main-menu li li:last-child a:hover,
#main-menu li li:last-child li:last-child a:hover {
	background-color: #f9f9f9;
}



/*color*/
#main-menu li.sfHover ul li {
	margin: 0px;
	padding: 0px;
	font-weight: 400;
}
#main-menu ul li a {
	border-bottom-style: none;
	border-top-style: none;
	border-right-style: none;
	border-left-style: none;
}
#main-menu li.sfHover ul li a:hover {
	color: #8D4827;
}
/*blue*/
#main-menu li .sub-menu-blue li a {
	color: #000;
}
#main-menu ul.sub-menu-blue {
	border-bottom-width: 7px;
	border-bottom-style: solid;
	border-bottom-color: #39F;
}
/*pink*/
#main-menu li .sub-menu-pink li a {
	color: #000;
}
#main-menu ul.sub-menu-pink {
	border-bottom-width: 7px;
	border-bottom-style: solid;
	border-bottom-color: #F69;
}
/*orange*/
#main-menu li .sub-menu-orange li a {
	color: #000;
}
#main-menu ul.sub-menu-orange {
	border-bottom-width: 7px;
	border-bottom-style: solid;
	border-bottom-color: #F90;
}
/*green*/
#main-menu li .sub-menu-green li a {
	color: #000;
}
#main-menu ul.sub-menu-green {
	border-bottom-width: 7px;
	border-bottom-style: solid;
	border-bottom-color: #693;
}
/*purple*/
#main-menu li .sub-menu-purple li a {
	color: #000;
}
#main-menu ul.sub-menu-purple {
	border-bottom-width: 7px;
	border-bottom-style: solid;
	border-bottom-color: #9233b4;
}
